package com.rjconsultores.ventaboletos.enums;

import java.util.Arrays;
import java.util.List;

public enum StatusIntegracaoSap {
	INTEGRADO("Integrado"),
	NAO_ENVIADO("Nao Enviado"),
	PENDENTE("Pendente"),
	RECUSADO("Recusado SAP");
	
	private String descricao;

	private StatusIntegracaoSap(String descricao) {
		this.descricao = descricao;
	}

	@Override
	public String toString() {
		return descricao;
	}
	
	public static List<StatusIntegracaoSap> list() {
		return Arrays.asList(values());
	}
	
	public static StatusIntegracaoSap getStatusIntegracaoSap(Integer tValor) {
		for (StatusIntegracaoSap valor : StatusIntegracaoSap.values()) {
			if (tValor.equals(valor.ordinal())) {
				return valor;
			}
		}
		return null;
	}
}
